twitter4j.conf

## Class ConfigurationContext

- java.lang.Object
- - twitter4j.conf.ConfigurationContext

    public final class ConfigurationContext
    extends Object

Static factory of Configuration. This class wraps ConfigurationFactory implementations.
By default, twitter4j.conf.PropertyConfigurationFactory will be used and can be changed with -Dtwitter4j.configurationFactory system property.

Author:
  Yusuke Yamamoto - yusuke at mac.com

### Constructor Summary

Constructors
Constructor and Description
`ConfigurationContext()`

### Method Summary

All Methods Static Methods Concrete Methods
`static Configuration` `getInstance()`
`static Configuration` `getInstance(String configTreePath)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConfigurationContext

    public ConfigurationContext()

### Method Detail

#### getInstance

    public static Configuration getInstance()

#### getInstance

    public static Configuration getInstance(String configTreePath)